<?php
/**
 * The set grant view file of salary module of ZDOO.
 *
 * @copyright   Copyright 2009-2021 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     商业软件，非开源软件
 * @author      Gang Liu <liugang@easycorp.ltd>
 * @package     salary
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
?>
<?php include '../../common/view/header.html.php';?>
<?php include '../../../sys/common/view/treeview.html.php';?>
<?php js::set('dept', $dept);?>
<?php js::set('mode', $mode);?>
<div class='main-row'>
  <div class='side-col'>
    <div class='panel panel-block'>
      <div class='panel-heading'><strong><?php echo $lang->dept->common;?></strong></div>
      <div class='panel-body'>
        <div id='treeMenuBox'><?php echo $treeMenu;?></div>
      </div>
    </div>
  </div>
  <div class='main-col'>
    <form id='ajaxForm' method='post'>
      <div class='panel'>
        <table class='table table-condensed table-bordered table-hover'>
          <thead>
            <tr class='text-center'>
              <th class='w-120px' id='accountTH'><?php echo $lang->salary->account;?></th>
              <th class='w-200px' id='companyTH'><?php echo $lang->salary->company;?></th>
              <th class='w-200px' id='deptTH'><?php echo $lang->salary->grantDept;?></th>
              <th class='w-200px' id='depositorTH'><?php echo $lang->salary->depositor;?></th>
              <th class='w-200px' id='categoryTH'><?php echo $lang->salary->category;?></th>
              <th class='w-90px'><?php echo $lang->actions;?></th>
            </tr>
          </thead>
          <tbody>
            <?php $index = 1;?>
            <?php foreach($users as $user):?>
            <?php
            if($index > 1)
            {
                $depts['ditto']      = $lang->ditto;
                $depositors['ditto'] = $lang->ditto;
                $categories['ditto'] = $lang->ditto;
            }
            if(isset($grantList[$user->account]))
            {
                $grant     = $grantList[$user->account];
                $dept      = $grant->dept;
                $depositor = $grant->depositor;
                $category  = $grant->category;
                $canEdit   = true;
            }
            else
            {
                $dept      = $mode == 'view' ? 0 : ($user->dept ? $user->dept : ($index > 1 ? 'ditto' : 0));
                $depositor = $mode == 'view' ? 0 : ($index > 1  ? 'ditto' : 0);
                $category  = $mode == 'view' ? 0 : ($index > 1  ? 'ditto' : 0);
                $canEdit   = false;
            }
            ?>
            <tr>
              <td class='text-center'>
                <?php echo $user->realname;?>
                <?php echo html::hidden("account[$user->id]", $user->account);?>
              </td>
              <td>
                <?php echo zget($companies, $user->company, '');?>
                <?php echo html::hidden("copmany[$user->id]", $user->company);?>
              </td>
              <td>
                <span class='grantItem view <?php if($mode != 'view') echo 'hide';?>'><?php if($dept) echo zget($depts, $dept, '');?></span>
                <span class='grantItem edit <?php if($mode != 'edit') echo 'hide';?>'><?php echo html::select("dept[$user->id]", $depts, $dept, "class='form-control chosen'");?></span>
              </td>
              <td>
                <span class='grantItem view <?php if($mode != 'view') echo 'hide';?>'><?php if($depositor) echo zget($depositors, $depositor, '');?></span>
                <span class='grantItem edit <?php if($mode != 'edit') echo 'hide';?>'><?php echo html::select("depositor[$user->id]", $depositors, $depositor, "class='form-control chosen'");?></span>
              </td>
              <td>
                <span class='grantItem view <?php if($mode != 'view') echo 'hide';?>'><?php if($category) echo zget($categories, $category, '');?></span>
                <span class='grantItem edit <?php if($mode != 'edit') echo 'hide';?>'><?php echo html::select("category[$user->id]", $categories, $category, "class='form-control chosen'");?></span>
              </td>
              <td class='text-center'>
                <a href='javascript:;' class='btn btn-sm editItem <?php if(!$canEdit) echo 'disabled';?>' title='<?php echo $lang->edit;?>'><i class='icon-pencil'></i></a>
                <a href='javascript:;' class='btn btn-sm delItem' title='<?php echo $lang->delete;?>'><i class='icon-remove'></i></a>
              </td>
            </tr>
            <?php $index++;?>
            <?php endforeach;?>
          </tbody>
        </table>
        <div class='table-footer form-actions'>
          <?php echo html::submitButton();?>
          <?php echo html::a('javascript:;', $lang->edit, "class='btn editAll'");?>
          <?php $pager->show();?>
        </div>
      </div>
    </form>
  </div>
</div>
<?php include '../../common/view/footer.html.php';?>
